<?php
class RawExec
{
    public function execute(string $file, int $requestId): void {

        // \Fiber::suspend();
        exec("php blocking-curl-action.php 1");

        while(!file_exists("fichier1.php")) {

            \Fiber::suspend();
        }

        // ici la requete est terminée

        echo "requete terminée"; 
        
    }
}